{ pkgs }:

pkgs.rustPlatform.buildRustPackage rec {
  pname = "bin";
  version = "3bbd64611f2a5dee91528976f6db17ff9844315a";

  src = pkgs.fetchFromGitHub {
    owner = "WantGuns";
    repo = pname;
    rev = version;
    sha256 = "0lyx8n4rpnyd7c6yjx8aa3zwxlfwj3db0ykrxdvlsaw4wrqlfk7i";
  };

  cargoLock = { lockFile = "${src}/Cargo.lock"; };

  nativeBuildInputs = [ pkgs.git ];

  meta = {
    description = "highly opinionated, minimal pastebin";
    homepage = "https://github.com/WantGuns/bin";
  };
}
